Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1320951 - The IMAGE_VERSION isn't correct when upgrade the containerized OSE
The IMAGE_VERSION isn't correct when upgrade the containerized OSE
Status: CLOSED ERRATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: Upgrade (Show other bugs)
3.2.0
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Brenton Leanhardt
Anping Li
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-24 06:58 EDT by Anping Li
Modified: 2016-05-12 12:34 EDT (History)
5 users (show)

See Also:
Fixed In Version: openshift-ansible-3.0.67-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 12:34:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upgrade failed due to the IMGAGE_VESION are set to 'v' (24.30 KB, text/plain)
2016-03-24 07:00 EDT, Anping Li
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1064 normal SHIPPED_LIVE Important: Red Hat OpenShift Enterprise 3.2 security, bug fix, and enhancement update 2016-05-12 16:19:17 EDT

  None (edit)
Description Anping Li 2016-03-24 06:58:17 EDT
Description of problem:
The IMAGE_VERSION was set to 'IMAGE_VERSION=v' in the system configure files. it is wrong,  it should like 'v3.1.16'.

OPTIONS=--loglevel=2
CONFIG_FILE=/etc/origin/node/node-config.yaml
IMAGE_VERSION=v


Version-Release number of selected component (if applicable):
atomic-openshift-utils-3.0.64

How reproducible:
always

Steps to Reproduce:
1. install ose3.1 on atomic hosts
2. upgrade to ose3.2 using ansible-playbook

Actual results:
The upgrade failed due the IMAGE_VERSION is 'v' in the atomic hosts

cat atomic-openshift-node

OPTIONS=--loglevel=2
CONFIG_FILE=/etc/origin/node/node-config.yaml
IMAGE_VERSION=v


Expected results:
It should be set to correct values before upgrade. for example: v3.1.1.6

Additional info:
Comment 1 Anping Li 2016-03-24 07:00 EDT
Created attachment 1139899 [details]
Upgrade failed due to the IMGAGE_VESION are set to 'v'
Comment 2 Brenton Leanhardt 2016-03-28 16:55:34 EDT
I should be able to have this ON_QA tomorrow.
Comment 4 Anping Li 2016-03-30 03:55:02 EDT
The image version is correct now. so move bug to verified.
Comment 6 errata-xmlrpc 2016-05-12 12:34:11 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2016:1064

Note You need to log in before you can comment on or make changes to this bug.